org.apache.http.config

## Class RegistryBuilder<I>

- java.lang.Object
- - org.apache.http.config.RegistryBuilder<I>

    @NotThreadSafe
    public final class RegistryBuilder<I>
    extends Object

Builder for `Registry` instances.

Since:
  4.3

### Method Summary

Methods
`Registry<I>` `build()`
`static <I> RegistryBuilder<I>` `create()`
`RegistryBuilder<I>` `register(String id, I item)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static <I> RegistryBuilder<I> create()

#### register

    public RegistryBuilder<I> register(String id,
                              I item)

#### build

    public Registry<I> build()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`